[@bigcommerce/checkout-sdk](../README.md) / BlockElementStyles

# Interface: BlockElementStyles

## Hierarchy

- [`InlineElementStyles`](InlineElementStyles.md)

  ↳ **`BlockElementStyles`**

  ↳↳ [`ButtonStyles`](ButtonStyles.md)

  ↳↳ [`ChecklistStyles`](ChecklistStyles.md)

  ↳↳ [`InputStyles`](InputStyles.md)

  ↳↳ [`StepStyles`](StepStyles.md)

## Table of contents

### Properties

- [backgroundColor](BlockElementStyles.md#backgroundcolor)
- [borderColor](BlockElementStyles.md#bordercolor)
- [borderWidth](BlockElementStyles.md#borderwidth)
- [boxShadow](BlockElementStyles.md#boxshadow)
- [color](BlockElementStyles.md#color)
- [fontFamily](BlockElementStyles.md#fontfamily)
- [fontWeight](BlockElementStyles.md#fontweight)
- [letterSpacing](BlockElementStyles.md#letterspacing)
- [lineHeight](BlockElementStyles.md#lineheight)

## Properties

### backgroundColor

• `Optional` **backgroundColor**: `string`

___

### borderColor

• `Optional` **borderColor**: `string`

___

### borderWidth

• `Optional` **borderWidth**: `string`

___

### boxShadow

• `Optional` **boxShadow**: `string`

___

### color

• `Optional` **color**: `string`

#### Inherited from

[InlineElementStyles](InlineElementStyles.md).[color](InlineElementStyles.md#color)

___

### fontFamily

• `Optional` **fontFamily**: `string`

#### Inherited from

[InlineElementStyles](InlineElementStyles.md).[fontFamily](InlineElementStyles.md#fontfamily)

___

### fontWeight

• `Optional` **fontWeight**: `string`

#### Inherited from

[InlineElementStyles](InlineElementStyles.md).[fontWeight](InlineElementStyles.md#fontweight)

___

### letterSpacing

• `Optional` **letterSpacing**: `string`

#### Inherited from

[InlineElementStyles](InlineElementStyles.md).[letterSpacing](InlineElementStyles.md#letterspacing)

___

### lineHeight

• `Optional` **lineHeight**: `string`

#### Inherited from

[InlineElementStyles](InlineElementStyles.md).[lineHeight](InlineElementStyles.md#lineheight)
